Shop Builder API (2.0.0)
- Version: 2.0.0
- Servers:
https://store.xsolla.com/api - Contact Us by Email
- Contact URL: https://xsolla.com/
- Required TLS version: 1.2
Shop Builder API provides a third-party solution for implementing the server side for your store interface. Use the endpoints to manage in-game items, in-game currencies, cart, player inventory, promotions, game library, etc.
个性化目录
此API可让您针对用户属性指定规则。如果用户满足具体规则的所有条件,则会显示个性化商品。
有关个性化促销活动的信息,请参阅促销活动部分。
要在购买前传递属性,您可以使用艾克索拉Login API或在使Pay Station API生成令牌时将它们传入user.attributes属性。
- Mock serverhttps://xsolla.redocly.app/_mock/zh/api/shop-builder/v2/project/{project_id}/items/bundle/group/{external_id}
- https://store.xsolla.com/api/v2/project/{project_id}/items/bundle/group/{external_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/zh/api/shop-builder/v2/project/44056/items/bundle/group/{external_id}?limit=50&offset=0&locale=en&additional_fields%5B%5D=media_list&country=US&promo_code=WINTER2021&show_inactive_time_limited_items=1' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "has_more": true, "items": [ { … } ] }
- Mock serverhttps://xsolla.redocly.app/_mock/zh/api/shop-builder/v2/project/{project_id}/items/bundle/sku/{sku}
- https://store.xsolla.com/api/v2/project/{project_id}/items/bundle/sku/{sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/zh/api/shop-builder/v2/project/44056/items/bundle/sku/kg_1?promo_code=WINTER2021&show_inactive_time_limited_items=1&additional_fields%5B%5D=media_list' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'指定的捆绑包已成功接收。
与商品对应的属性及其值的列表。可用于目录筛选。
捆绑包类型。使用standard创建包含商品的捆绑包,并指定捆绑包中所含商品的SKU。 使用partner_side_content创建一个空的捆绑包,并使用Webhook在己侧添加商品。此类型仅用于合作伙伴侧的目录个性化。
捆绑包套餐内容。
商品所属分组。
包含商品详细本地化描述的对象。值接受以下两种格式之一:两个小写字母的语言代码(例如,en)或五个字符的区域设置代码(例如,en-US)。虽然两种格式都可作为输入接受,但响应会返回两个小写字母的语言代码。当为同一种语言提供了两种输入时(例如:en和en-US),将存储最后提供的值。您可以在文档中找到支持语言的完整列表。
包含商品详细本地化描述的对象。值接受以下两种格式之一:两个小写字母的语言代码(例如,en)或五个字符的区域设置代码(例如,en-US)。虽然两种格式都可作为输入接受,但响应会返回两个小写字母的语言代码。当为同一种语言提供了两种输入时(例如:en和en-US),将存储最后提供的值。您可以在文档中找到支持语言的完整列表。
捆绑包的附加资源。
应用于购物车中指定商品的促销活动。仅在以下情况下返回该数组:
为某商品配置了折扣促销活动。
应用了对所选商品提供折扣设置的促销码。
如果未应用任何商品级促销活动,则返回空数组。
唯一商品ID。 SKU只能包含大小写英文字母和数字字符、句点、破折号和下划线。
{ "attributes": [], "bundle_type": "standard", "can_be_bought": true, "content": [ { … } ], "custom_attributes": { "attr": "value", "purchased": 0 }, "description": "pricePoint_44056_1.", "groups": [], "image_url": null, "is_free": false, "item_id": 610316, "limits": { "per_user": { … } }, "long_description": null, "media_list": [], "name": "kg_10.00_bundle", "order": 999, "periods": [ { … } ], "price": { "amount": "9.99", "amount_without_discount": "9.99", "currency": "USD" }, "promotions": [], "sku": "com.xsolla.kg_1", "total_content_price": { "amount": "10.99", "amount_without_discount": "10.99", "currency": "USD" }, "type": "bundle", "virtual_prices": [], "vp_rewards": [ { … }, { … } ] }